Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks
[Java] Class Copy

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.AbstractCopyTask
              org.gradle.api.tasks.Copy

    public class Copy
    extends AbstractCopyTask

Copies files into a destination directory. This task can also rename and filter files as it copies. The task implements CopySpec for specifying what to copy.

Examples:

     task copyDocs(type: Copy) {
         from 'src/main/doc'
         into 'build/target/doc'
     }

     //for Ant filter
     import org.apache.tools.ant.filters.ReplaceTokens

     task initConfig(type: Copy) {
         from('src/main/config') {
             include '**/*.properties'
             include '**/*.xml'
             filter(ReplaceTokens, tokens: [version: '2.3.1'])
         }
         from('src/main/config') {
             exclude '**/*.properties', '**/*.xml'
         }
         from('src/main/languages') {
             rename 'EN_US_(.*)', '$1'
         }
         into 'build/target/config'
         exclude '**/*.bak'

         includeEmptyDirs = false
     }

Method Summary
`protected CopyAction` | `createCopyAction()`
`protected CopySpecInternal` | `createRootSpec()`
`File` | `getDestinationDir()` Returns the directory to copy files into.
`DestinationRootCopySpec` | `getRootSpec()`
`void` | `setDestinationDir(File destinationDir)` Sets the directory to copy files into.

Methods inherited from class AbstractCopyTask
configureRootSpec, copy, createCopyAction, createRootSpec, eachFile, eachFile, exclude, exclude, exclude, exclude, expand, filesMatching, filesNotMatching, filter, filter, filter, from, from, getDefaultSource, getDirMode, getDuplicatesStrategy, getExcludes, getFileMode, getIncludeEmptyDirs, getIncludes, getMainSpec, getRootSpec, getSource, include, include, include, include, into, into, isCaseSensitive, rename, rename, rename, setCaseSensitive, setDirMode, setDuplicatesStrategy, setExcludes, setFileMode, setIncludeEmptyDirs, setIncludes, with

Method Detail

### createCopyAction

    @Override
    protected CopyAction createCopyAction()

### createRootSpec

    @Override
    protected CopySpecInternal createRootSpec()

### getDestinationDir

    @OutputDirectory
    public File getDestinationDir()

  Returns the directory to copy files into.
  Returns:
    The destination dir.

### getRootSpec

    @Override
    public DestinationRootCopySpec getRootSpec()

### setDestinationDir

    public void setDestinationDir(File destinationDir)

  Sets the directory to copy files into. This is the same as calling into(Object) on this task.
  Parameters:
    `destinationDir` - The destination directory. Must not be null.

Gradle API 1.10